%define upstream_name    Data-Swap
%define upstream_version 0.08

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 14

Summary:	Data-Swap module for perl 
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.bz2
Patch0:		Data-Swap-0.08-fix-format-security.patch

BuildRequires:	perl-devel

%description
This module allows you to swap the contents of two referenced variables,
even if they have different types.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p0

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
%makeinstall_std

%files
%doc Changes README
%{perl_vendorlib}/*/Data/Swap.pm
%{perl_vendorlib}/*/auto/Data/Swap
%{_mandir}/*/*




%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.80.0-14.mga6
+ Revision: 1024896
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.80.0-13.mga6
+ Revision: 957061
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.80.0-12.mga6
+ Revision: 843873
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.80.0-11.mga5
+ Revision: 743931
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.80.0-10.mga5
+ Revision: 684243
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.80.0-9.mga5
+ Revision: 631050
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.80.0-8.mga4
+ Revision: 524291
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.80.0-7.mga4
+ Revision: 430635
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.80.0-6.mga3
+ Revision: 365485
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.80.0-5.mga3
+ Revision: 250482
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 0.80.0-4.mga2
+ Revision: 104104
- perl 5.14

* Thu Jan 13 2011 jquelin <jquelin> 0.80.0-3.mga1
+ Revision: 10645
- imported package perl-Data-Swap


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 0.80.0-3mdv2011.0
+ Revision: 555783
- rebuild for perl 5.12

* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.80.0-2mdv2010.0
+ Revision: 405949
- adding patch to fix format security error
- bump mkrel to force rebuild
- rebuild using %%perl_convert_version

* Sat Oct 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.08-1mdv2009.1
+ Revision: 292102
- update to new version 0.08

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 0.07-3mdv2009.0
+ Revision: 256481
- rebuild

* Tue Jan 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.07-1mdv2008.1
+ Revision: 152943
- update to new version 0.07
- update to new version 0.07

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 0.06-2mdv2008.1
+ Revision: 152049
- rebuild

* Sat Dec 29 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-1mdv2008.1
+ Revision: 139189
- update to new version 0.06

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.05-2mdv2008.0
+ Revision: 86329
- rebuild


* Wed Sep 13 2006 Oden Eriksson <oeriksson@mandriva.com> 0.05-1mdv2007.0
- rebuild

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 0.05-1mdk
- initial Mandriva package

